{
    "compilerOptions": {
        "module": "commonjs",
        "esModuleInterop": true,
        "target": "es6",
        "noImplicitAny": true,
        "declaration": true,
        "strict": true,
        "allowJs": false,
        "moduleResolution": "node",
        "sourceMap": true,
        "outDir": "dist",
        "removeComments": false,
        "preserveConstEnums": true,
        "baseUrl": ".",
        "paths": {
            "*": [
                "node_modules/*",
                "src/*",
                "src/custom_ts_d/*"
            ]
        }
    },
    "include": [
        "src"
    ],
    "exclude": [
        "node_modules"
    ],
    "typeRoots": [
        "./node_modules/@types",
        "./src/custom_ts_d"
    ]
}
